stack.sh failing giving error "g-api did not start"

Bug #1119428 reported by swapk
70
This bug affects 15 people
Affects Status Importance Assigned to Milestone
devstack
Invalid
Undecided
Unassigned

Bug Description

I am using Ubuntu 12.04.when i run ./stack.sh i am getting this error.

------------------------------------------------------------------------------------------------------------------
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,mysql,rabbit,q-svc,q-agt,q-dhcp,q-l3, =~ ,g-api, ]]
+ return 0
+ screen_rc g-api 'cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf'
+ SCREEN_NAME=stack
+ SCREENRC=/opt/stack/devstack/stack-screenrc
+ [[ ! -e /opt/stack/devstack/stack-screenrc ]]
+ grep g-api /opt/stack/devstack/stack-screenrc
++ echo -ne '\015'
+ NL=$'\r'
+ echo 'screen -t g-api bash'
"'echo 'stuff "cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf
+ screen -S stack -X screen -t g-api
+ sleep 1.5
+ [[ -n /opt/stack/logs ]]
+ screen -S stack -p g-api -X logfile /opt/stack/logs/screen-g-api.2013-02-08-175832.log
+ screen -S stack -p g-api -X log on
+ ln -sf /opt/stack/logs/screen-g-api.2013-02-08-175832.log /opt/stack/logs/screen-g-api.log
' screen -S stack -p g-api -X stuff 'cd /opt/stack/glance; /usr/local/bin/glance-api --config-file=/etc/glance/glance-api.conf
+ echo 'Waiting for g-api (10.233.53.154:9292) to start...'
Waiting for g-api (10.233.53.154:9292) to start...
+ timeout 60 sh -c 'while ! http_proxy= wget -q -O- http://10.233.53.154:9292; do sleep 1; done'
+ echo 'g-api did not start'
g-api did not start
+ exit 1
+ clean
+ local r=1
++ jobs -p
+ kill
+ exit 1
--------------------------------------------------------------------------------------------------------------------------------
Any suggestion on how to solve this error?

Revision history for this message
Davanum Srinivas (DIMS) (dims-v) wrote :

Can you please run it by hand to see what fails?

cd /opt/stack/glance;/opt/stack/glance/bin/glance-api --config-file=/etc/glance/glance-api.conf

Revision history for this message
swapk (sk90) wrote :

the error is resolved.i Just reeboted my system and it was solved.
I am having error in nova-api. It is using http://127.0.0.1:8774 but i am using http://10.233.53.154:8774.
so how/where do i change it?

Changed in devstack:
status: New → Invalid
swapk (sk90)
information type: Public → Private
information type: Private → Public
Revision history for this message
longhn (longhn05) wrote :
Download full text (6.9 KiB)

It seems that there is some issue with RabbitStrategy class.

devstack@thekernel:~/Project/devstack$ /home/devstack/Project/glance/bin/glance-api --config-file=/etc/glance/glance-api.conf
2013-06-10 22:11:08.417 24288 DEBUG glance.store [-] Attempting to import store glance.store.filesystem.Store _get_store_class /home/devstack/Project/glance/glance/store/__init__.py:141
2013-06-10 22:11:08.418 24288 DEBUG glance.store [-] Registering store <class 'glance.store.filesystem.Store'> with schemes ('file', 'filesystem') create_stores /home/devstack/Project/glance/glance/store/__init__.py:171
2013-06-10 22:11:08.418 24288 DEBUG glance.store.base [-] Late loading location class glance.store.filesystem.StoreLocation get_store_location_class /home/devstack/Project/glance/glance/store/base.py:68
2013-06-10 22:11:08.418 24288 DEBUG glance.store.location [-] Registering scheme file with {'store_class': <class 'glance.store.filesystem.Store'>, 'location_class': <class 'glance.store.filesystem.StoreLocation'>} register_scheme_map /home/devstack/Project/glance/glance/store/location.py:85
2013-06-10 22:11:08.418 24288 DEBUG glance.store.location [-] Registering scheme filesystem with {'store_class': <class 'glance.store.filesystem.Store'>, 'location_class': <class 'glance.store.filesystem.StoreLocation'>} register_scheme_map /home/devstack/Project/glance/glance/store/location.py:85
2013-06-10 22:11:08.418 24288 DEBUG glance.store [-] Attempting to import store glance.store.http.Store _get_store_class /home/devstack/Project/glance/glance/store/__init__.py:141
2013-06-10 22:11:08.419 24288 DEBUG glance.store [-] Registering store <class 'glance.store.http.Store'> with schemes ('http', 'https') create_stores /home/devstack/Project/glance/glance/store/__init__.py:171
2013-06-10 22:11:08.419 24288 DEBUG glance.store.base [-] Late loading location class glance.store.http.StoreLocation get_store_location_class /home/devstack/Project/glance/glance/store/base.py:68
2013-06-10 22:11:08.419 24288 DEBUG glance.store.location [-] Registering scheme http with {'store_class': <class 'glance.store.http.Store'>, 'location_class': <class 'glance.store.http.StoreLocation'>} register_scheme_map /home/devstack/Project/glance/glance/store/location.py:85
2013-06-10 22:11:08.419 24288 DEBUG glance.store.location [-] Registering scheme https with {'store_class': <class 'glance.store.http.Store'>, 'location_class': <class 'glance.store.http.StoreLocation'>} register_scheme_map /home/devstack/Project/glance/glance/store/location.py:85
2013-06-10 22:11:08.419 24288 DEBUG glance.store [-] Attempting to import store glance.store.rbd.Store _get_store_class /home/devstack/Project/glance/glance/store/__init__.py:141
2013-06-10 22:11:08.420 24288 DEBUG glance.store [-] Registering store <class 'glance.store.rbd.Store'> with schemes ('rbd',) create_stores /home/devstack/Project/glance/glance/store/__init__.py:171
2013-06-10 22:11:08.420 24288 DEBUG glance.store.base [-] Late loading location class glance.store.rbd.StoreLocation get_store_location_class /home/devstack/Project/glance/glance/store/base.py:68
2013-06-10 22:11:08.420 24288 DEBUG glance.store.location [-] Registering scheme rbd wit...

Read more...

Revision history for this message
Arminder Singh Girgla (arminder) wrote :

I'm too getting the same error:

2013-06-17 06:25:41 + echo 'Waiting for g-api (192.168.229.80:9292) to start...'
2013-06-17 06:25:41 Waiting for g-api (192.168.229.80:9292) to start...
2013-06-17 06:25:41 + timeout 60 sh -c 'while ! http_proxy= wget -q -O- http://192.168.229.80:9292; do sleep 1; done'
2013-06-17 06:26:41 + die 191 'g-api did not start'
2013-06-17 06:26:41 + local exitcode=0
2013-06-17 06:26:41 + set +o xtrace
2013-06-17 06:26:41 [ERROR] ./stack.sh:191 g-api did not start

and then stack.sh dies

stack@ubuntu:~/devstack$ cd /opt/stack/glance;/opt/stack/glance/bin/glance-api --config-file=/etc/glance/glance-api.conf
2013-06-17 06:43:30.342 12172 DEBUG glance.store [-] Attempting to import store glance.store.filesystem.Store _get_store_class /opt/stack/glance/glance/store/__init__.py:141
2013-06-17 06:43:30.344 12172 DEBUG glance.store [-] Registering store <class 'glance.store.filesystem.Store'> with schemes ('file', 'filesystem') create_stores /opt/stack/glance/glance/store/__init__.py:171
...
2013-06-17 06:43:30.437 12172 WARNING glance.api.v2.images [-] Could not find schema properties file schema-image.json. Continuing without custom properties
2013-06-17 06:43:30.545 12172 DEBUG glance.notifier [-] Converted strategy alias rabbit to glance.notifier.notify_kombu.RabbitStrategy __init__ /opt/stack/glance/glance/notifier/__init__.py:63
2013-06-17 06:43:30.550 12172 INFO glance.notifier.notify_kombu [-] Connecting to AMQP server on localhost:5672
2013-06-17 06:43:30.576 12172 CRITICAL glance [-] 'RabbitStrategy' object has no attribute 'connection_errors'

Any ideas?

- Arminder

Changed in devstack:
status: Invalid → Confirmed
Revision history for this message
Arminder Singh Girgla (arminder) wrote :

Even rebooting the server doesn't work. I have already tried rebooting/running unstack, then stack/running unstack+clean, then stack/removing git + entire /opt/stack including reboots, but still no luck.

I'm using stable/grizzly on Ubuntu 12.04.2 LTS.

NOVA_BRANCH=stable/grizzly
CINDER_BRANCH=stable/grizzly
GLANCE_BRANCH=stable/grizzly
HORIZON_BRANCH=stable/grizzly
KEYSTONE_BRANCH=stable/grizzly
QUANTUM_BRANCH=stable/grizzly

I have also tried setting rabbit_durable_queues = True in the glance-api.conf, but still no change.

- Arminder

Revision history for this message
Gaëtan Trellu (goldyfruit) wrote :

Same issue for me.
DevStack and Ubuntu 13.04

Revision history for this message
Gaëtan Trellu (goldyfruit) wrote :

It works with Ubuntu 12.04.

no longer affects: ubuntu
Revision history for this message
Chuck Carlino (ccarlino) wrote :

Same for me with stable/grizzly, Ubuntu 13.04.

Revision history for this message
Nitz (nitshree) wrote :
Download full text (6.8 KiB)

Im seeing the exact error for Grizzly release on Ubuntu server 13.04
Devstack script fails with [ERROR] stack.sh:191 g-api did not start

I could neither do it by firing the command manually. It throws a connection error for 'RabbitStrategy' object.

Command :

cd /opt/stack/glance; /opt/stack/glance/bin/glance-api --config-file=/etc/glance/glance-api.conf

Output :

2013-06-19 13:05:13.567 23977 DEBUG glance.store [-] Attempting to import store glance.store.filesystem.Store _get_store_class /opt/stack/glance/glance/store/__init__.py:141
2013-06-19 13:05:13.568 23977 DEBUG glance.store [-] Registering store <class 'glance.store.filesystem.Store'> with schemes ('file', 'filesystem') create_stores /opt/stack/glance/glance/store/__init__.py:171
2013-06-19 13:05:13.568 23977 DEBUG glance.store.base [-] Late loading location class glance.store.filesystem.StoreLocation get_store_location_class /opt/stack/glance/glance/store/base.py:68
2013-06-19 13:05:13.568 23977 DEBUG glance.store.location [-] Registering scheme file with {'store_class': <class 'glance.store.filesystem.Store'>, 'location_class': <class 'glance.store.filesystem.StoreLocation'>} register_scheme_map /opt/stack/glance/glance/store/location.py:85
2013-06-19 13:05:13.568 23977 DEBUG glance.store.location [-] Registering scheme filesystem with {'store_class': <class 'glance.store.filesystem.Store'>, 'location_class': <class 'glance.store.filesystem.StoreLocation'>} register_scheme_map /opt/stack/glance/glance/store/location.py:85
2013-06-19 13:05:13.568 23977 DEBUG glance.store [-] Attempting to import store glance.store.http.Store _get_store_class /opt/stack/glance/glance/store/__init__.py:141
2013-06-19 13:05:13.568 23977 DEBUG glance.store [-] Registering store <class 'glance.store.http.Store'> with schemes ('http', 'https') create_stores /opt/stack/glance/glance/store/__init__.py:171
2013-06-19 13:05:13.569 23977 DEBUG glance.store.base [-] Late loading location class glance.store.http.StoreLocation get_store_location_class /opt/stack/glance/glance/store/base.py:68
2013-06-19 13:05:13.569 23977 DEBUG glance.store.location [-] Registering scheme http with {'store_class': <class 'glance.store.http.Store'>, 'location_class': <class 'glance.store.http.StoreLocation'>} register_scheme_map /opt/stack/glance/glance/store/location.py:85
2013-06-19 13:05:13.569 23977 DEBUG glance.store.location [-] Registering scheme https with {'store_class': <class 'glance.store.http.Store'>, 'location_class': <class 'glance.store.http.StoreLocation'>} register_scheme_map /opt/stack/glance/glance/store/location.py:85
2013-06-19 13:05:13.569 23977 DEBUG glance.store [-] Attempting to import store glance.store.rbd.Store _get_store_class /opt/stack/glance/glance/store/__init__.py:141
2013-06-19 13:05:13.570 23977 DEBUG glance.store [-] Registering store <class 'glance.store.rbd.Store'> with schemes ('rbd',) create_stores /opt/stack/glance/glance/store/__init__.py:171
2013-06-19 13:05:13.570 23977 DEBUG glance.store.base [-] Late loading location class glance.store.rbd.StoreLocation get_store_location_class /opt/stack/glance/glance/store/base.py:68
2013-06-19 13:05:13.570 23977 DEBUG glance.store.location [-]...

Read more...

Revision history for this message
Arminder Singh Girgla (arminder) wrote :

Anyone with any kind of luck with making this work?

- Arminder

Revision history for this message
Gonki (sergei-sheinin) wrote :

Experiencing exact same problem. I'm looking forward to some help asap.

Revision history for this message
adu (kaudhut) wrote :

facing the same problem. Using Ubuntu13.04 and the default branch used by stack.sh.
Tried restarting and rejoin-stack.sh. But I am getting a 'RabbitStrategy' object has no attribute 'connection_errors' error. Same error that is given in this chain.
Looking forward for some help ASAP!

Revision history for this message
Gonki (sergei-sheinin) wrote :

Anyone paying attention to this? There are 10 users in this thread complaining of the same bug. Is the fix in the works? Is it not a bug but a configuration issue? Any update would be appreciated. Thanks!

Revision history for this message
adu (kaudhut) wrote :

Anybody had any luck getting over this problem. As sugested in some other bugs related to AMQP, I tried clearing queues, etc but no luck. Still getting the error on executing rejoin-stack:
 INFO glance.notifier.notify_kombu [-] Connecting to AMQP server on localhost:5672
2013-06-17 06:43:30.576 12172 CRITICAL glance [-] 'RabbitStrategy' object has no attribute 'connection_errors'

Revision history for this message
adu (kaudhut) wrote :

https://answers.launchpad.net/glance/+question/231020

The above post helped me move ahead. Hope it helps others too

Revision history for this message
Winson Chan (winson-c-chan) wrote :

I experienced the same problem. I needed stable grizzly to develop against. I worked around the issue by using the grizzly branch for the devstack bits (git clone https://github.com/openstack-dev/devstack.git -b stable/grizzly). Originally, I was using master. My localrc was the same that I had before following https://gist.github.com/everett-toews/3887022 but configured for grizzly instead. I gone thru a number of different things and ended up starting with a fresh build of Ubuntu 12.04 so I'm not entirely sure if a fresh build is required. But I seem to be back on track.

Revision history for this message
Gonki (sergei-sheinin) wrote :

adu, yes it worked. thanks.

Revision history for this message
Ha Son Hai (hasonhai124) wrote :

I followed the post from adu then it create another issues nova (which is described in https://bugs.launchpad.net/devstack/+bug/1134575 ).

Revision history for this message
Gonki (sergei-sheinin) wrote :

Ha Son Hai,

I get same problem. Were you able to resolve it? If so, what did you do?

Revision history for this message
focus (zhengnan1987) wrote :

I followed the post from adu,but it didn't work...

Revision history for this message
Vladimir Zhukov (vl-zhukov) wrote :

>> Waiting for g-api (10.233.53.154:9292) to start...
>> + timeout 60 sh -c 'while ! http_proxy= wget -q -O- http://10.233.53.154:9292; do sleep 1; done'
>> + echo 'g-api did not start'
>> g-api did not start

I fixed this by setting in the POSIX locale in Ubuntu 12.04

cat /etc/default/locale
LANG="POSIX"

Revision history for this message
balachandar (balachandar-raju) wrote :
Download full text (134.7 KiB)

Hi Friends,

I m getting the following error after running ./stack.sh

This is my lg file..

2014-02-07 15:07:01 stack.sh log /opt/stack/logs/stack.sh.log.2014-02-07-150701
2014-02-07 15:07:01 + echo_summary 'Installing package prerequisites'
2014-02-07 15:07:01 + [[ -t 3 ]]
2014-02-07 15:07:01 + [[ True != \T\r\u\e ]]
2014-02-07 15:07:01 + echo -e Installing package prerequisites
2014-02-07 15:07:01 + source /home/stack/devstack/tools/install_prereqs.sh
2014-02-07 15:07:01 Installing package prerequisites
2014-02-07 15:07:01 ++ [[ -n '' ]]
2014-02-07 15:07:01 ++ [[ -z /home/stack/devstack ]]
2014-02-07 15:07:01 ++ PREREQ_RERUN_MARKER=/home/stack/devstack/.prereqs
2014-02-07 15:07:01 ++ PREREQ_RERUN_HOURS=2
2014-02-07 15:07:01 ++ PREREQ_RERUN_SECONDS=7200
2014-02-07 15:07:01 +++ date +%s
2014-02-07 15:07:01 ++ NOW=1391765821
2014-02-07 15:07:01 +++ head -1 /home/stack/devstack/.prereqs
2014-02-07 15:07:01 +++ echo 0
2014-02-07 15:07:01 ++ LAST_RUN=0
2014-02-07 15:07:01 ++ DELTA=1391765821
2014-02-07 15:07:01 ++ [[ 1391765821 -lt 7200 ]]
2014-02-07 15:07:01 ++ export_proxy_variables
2014-02-07 15:07:01 ++ [[ -n '' ]]
2014-02-07 15:07:01 ++ [[ -n '' ]]
2014-02-07 15:07:01 ++ [[ -n '' ]]
2014-02-07 15:07:01 +++ get_packages general g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql
2014-02-07 15:07:01 +++ local 'services=general g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-net,n-cond,cinder,c-sch,c-api,c-vol,n-sch,n-novnc,n-xvnc,n-cauth,horizon,rabbit,tempest,mysql'
2014-02-07 15:07:01 ++++ _get_package_dir
2014-02-07 15:07:01 ++++ local pkg_dir
2014-02-07 15:07:01 ++++ is_ubuntu
2014-02-07 15:07:01 ++++ [[ -z deb ]]
2014-02-07 15:07:01 ++++ '[' deb = deb ']'
2014-02-07 15:07:01 ++++ pkg_dir=/home/stack/devstack/files/apts
2014-02-07 15:07:01 ++++ echo /home/stack/devstack/files/apts
2014-02-07 15:07:01 +++ local package_dir=/home/stack/devstack/files/apts
2014-02-07 15:07:01 +++ local file_to_parse
2014-02-07 15:07:01 +++ local service
2014-02-07 15:07:01 +++ [[ -z /home/stack/devstack/files/apts ]]
2014-02-07 15:07:01 +++ [[ -z precise ]]
2014-02-07 15:07:01 +++ for service in '${services//,/ }'
2014-02-07 15:07:01 +++ [[ -e /home/stack/devstack/files/apts/general ]]
2014-02-07 15:07:01 +++ file_to_parse=' general'
2014-02-07 15:07:01 +++ [[ general == n-api ]]
2014-02-07 15:07:01 +++ [[ general == c-* ]]
2014-02-07 15:07:01 +++ [[ general == ceilometer-* ]]
2014-02-07 15:07:01 +++ [[ general == s-* ]]
2014-02-07 15:07:01 +++ [[ general == n-* ]]
2014-02-07 15:07:01 +++ [[ general == g-* ]]
2014-02-07 15:07:01 +++ [[ general == key* ]]
2014-02-07 15:07:01 +++ [[ general == q-* ]]
2014-02-07 15:07:01 +++ for service in '${services//,/ }'
2014-02-07 15:07:01 +++ [[ -e /home/stack/devstack/files/apts/g-api ]]
2014-02-07 15:07:01 +++ [[ g-api == n-api ]]
2014-02-07 15:07:01 +++ [[ g-api == c-* ]]
2014-02-07 15:07:01 +++ [[ g-api == ceilometer-* ]]
2014-02-07 15:07:01 +++ [[ g-api == s-* ]]
2014-02-07 15:07:01 +++ [[ g-api == n-* ]]
2014-02-07 15:07:01 +++ [[ g-api == g-* ]]
2014-02-07 15:07:01 +++ [[ ! general =~ glance ]]
2014-02-07 15:07:01 +++ file_to_parse=' g...

Dean Troyer (dtroyer)
Changed in devstack:
status: Confirmed → Invalid
Revision history for this message
Tomasz Kłosiński (tomasz-michal-klosinski) wrote :

I had similar problem and installing python-keystoneclient and python-keystonemiddleware solved it.

Revision history for this message
ramu (ramu-mallagundla) wrote :

same issue i faced , tried with ./unstack.sh and ./clean.sh also but couldn't fix the issue.
Following step helped me to resolve this issue.
./unstack.sh
./clean.sh

rm -rf devstack folder

reboot system

cloned devstack code
cd devstack
./stack.sh

Revision history for this message
Vijendra Soni (vijendra-soni) wrote :

Hello,

Today I faced the similar issue, I simple detached all the screens using command 'ctrl+a', and 'D'. Later I ran following:

screen -c /opt/stack/devstack/stack-screenrc

This resolved the issue.

Thanks,
Vijendra Soni

Revision history for this message
Trinh Nguyen (dangtrinhnt) wrote :

Hi,

As of today, Feb. 2018, I still encounter this issue. Neither unstack/clean/rm of the whole devstack /opt/stack folder work for me. The installation process is never complete. But, the strange thing is everything is just fine.

Changed in devstack:
status: Invalid → Confirmed
Revision history for this message
Dean Troyer (dtroyer) wrote :

I don't think anyone is going to try to recreate this issue on Ubuntu 12.04, much less a DevStack from that era. If you really are still having this problem with more current software, please file a new bug and include enough information for anyone to be able to investigate and attempt to re-create the problem. Even then there are few people looking through these bugs for things to fix but it may help others who really are having the same problem, with similar releases of software to compare notes.

Changed in devstack:
status: Confirmed → Invalid
Revision history for this message
CAROLINA CABALLERO LOPEZ (carcablop19) wrote :

Hi

Today I have the similar issue. I am using Ubuntu 20.04.

Waiting for g-api (10.0.2.15) to start...
+ lib/glance:start_glance:547 : wait_for_service 60 http://10.0.2.15/image
+ functions:wait_for_service:457 : local timeout=60
+ functions:wait_for_service:458 : local url=http://10.0.2.15/image
+ functions:wait_for_service:459 : local rval=0
+ functions:wait_for_service:460 : time_start wait_for_service
+ functions-common:time_start:2290 : local name=wait_for_service
+ functions-common:time_start:2291 : local start_time=
+ functions-common:time_start:2292 : [[ -n '' ]]
++ functions-common:time_start:2295 : date +%s%3N
+ functions-common:time_start:2295 : _TIME_START[$name]=1619218979901
+ functions:wait_for_service:461 : timeout 60 bash -x
++ :: : curl -g -k --noproxy '*' -s -o /dev/null -w '%{http_code}' http://10.0.2.15/image
+ functions:wait_for_service:461 : rval=124
+ functions:wait_for_service:466 : time_stop wait_for_service
+ functions-common:time_stop:2304 : local name
+ functions-common:time_stop:2305 : local end_time
+ functions-common:time_stop:2306 : local elapsed_time
+ functions-common:time_stop:2307 : local total
+ functions-common:time_stop:2308 : local start_time
+ functions-common:time_stop:2310 : name=wait_for_service
+ functions-common:time_stop:2311 : start_time=1619218979901
+ functions-common:time_stop:2313 : [[ -z 1619218979901 ]]
++ functions-common:time_stop:2316 : date +%s%3N
+ functions-common:time_stop:2316 : end_time=1619219040743
+ functions-common:time_stop:2317 : elapsed_time=60842
+ functions-common:time_stop:2318 : total=113672
+ functions-common:time_stop:2320 : _TIME_START[$name]=
+ functions-common:time_stop:2321 : _TIME_TOTAL[$name]=174514
+ functions:wait_for_service:467 : return 124
+ lib/glance:start_glance:548 : die 548 'g-api did not start'
+ functions-common:die:198 : local exitcode=0
[Call Trace]
./stack.sh:1318:start_glance
/opt/stack/devstack/lib/glance:548:die
[ERROR] /opt/stack/devstack/lib/glance:548 g-api did not start
exit_trap: cleaning up child processes
Error on exit

Please, help me. Any suggestion on how to solved this issue?. I tried with ./unstack.sh and ./clean.sh

Revision history for this message
Dr. Jens Harbott (j-harbott) wrote :

Carolina this bug is very old and closed, please create a new bug report and describe your issue in detail. You can check the log of the failing service with "journalctl -u devstack@g-api". You might also get more direct help in the #openstack-qa IRC channel on Freenode.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.